Package ghidra.app.util.opinion

# Class LoaderMap

java.lang.Object
java.util.AbstractMap<Loader,Collection<LoadSpec>>
java.util.TreeMap<Loader,Collection<LoadSpec>>
ghidra.app.util.opinion.LoaderMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Loader,Collection<LoadSpec>>`, `NavigableMap<Loader,Collection<LoadSpec>>`, `SequencedMap<Loader,Collection<LoadSpec>>`, `SortedMap<Loader,Collection<LoadSpec>>`

public class LoaderMap extends TreeMap<Loader,Collection<LoadSpec>>
A `Map` of `Loader`s to their respective `LoadSpec`s.

The `Loader` keys are sorted according to their `natural ordering`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoaderMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.util.TreeMap

  `ceilingEntry, ceilingKey, clear, clone, comparator, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, forEach, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, merge, navigableKeySet, pollFirstEntry, pollLastEntry, put, putAll, putFirst, putIfAbsent, putLast, remove, replace, replace, replaceAll, size, subMap, subMap, tailMap, tailMap, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, isEmpty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, getOrDefault, hashCode, isEmpty, remove`

  ### Methods inherited from interface java.util.NavigableMap

  `reversed`

  ### Methods inherited from interface java.util.SequencedMap

  `sequencedEntrySet, sequencedKeySet, sequencedValues`

- ## Constructor Details

  - ### LoaderMap

    public LoaderMap()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractMap<Loader,Collection<LoadSpec>>`